
* REPLICATION DATA FOR BUHAUG & LUJALA (2005)
* "ACCOUNTING FOR SCALE", POLITICAL GEOGRAPHY, VOL 24 ISSUE 4


* data source: polgeo_rep.dta


* declare data to be survival-time format
stset endnd, origin(startnd) failure(status==1) id(stsetid) scale(365.25)


* PAIRED T TEST SAMPLE-MEANS
* full sample
sort stsetid
ttest lnmtctry==lnmt_cf if stsetid!=stsetid[_n-1]
ttest lnfrstctry==lnfrst_cf if stsetid!=stsetid[_n-1]
ttest newcrainsea==rainseas_n if stsetid!=stsetid[_n-1]
ttest callgems==allgems if stsetid!=stsetid[_n-1]
ttest newccoca==coca_n if stsetid!=stsetid[_n-1]
ttest newccannabis==cannabis_n if stsetid!=stsetid[_n-1]
ttest copium==opium_n if stsetid!=stsetid[_n-1]


* small conflicts
sort stsetid
ttest lnmtctry==lnmt_cf if cf_cntry<10 & stsetid!=stsetid[_n-1]
ttest lnfrstctry==lnfrst_cf if cf_cntry<10 & stsetid!=stsetid[_n-1]
ttest newcrainsea==rainseas_n if cf_cntry<10 & stsetid!=stsetid[_n-1]
ttest callgems==allgems if cf_cntry<10 & stsetid!=stsetid[_n-1]
ttest newccoca==coca_n if cf_cntry<10 & stsetid!=stsetid[_n-1]
ttest newccannabis==cannabis_n if cf_cntry<10 & stsetid!=stsetid[_n-1]
ttest copium==opium_n if cf_cntry<10 & stsetid!=stsetid[_n-1]


* MODEL 1: COUNTRY LEVEL, baseline variables
streg lnlandar lnpop terr intens_1 lnmtctry lnfrstctry newcrainsea chsxp ///
 , nolog dist(w) cl(ccode) time


* MODEL 2: COUNTRY LEVEL, add resource dummies
streg lnlandar lnpop terr intens_1 lnmtctry lnfrstctry newcrainsea callgems ///
 newccoca newccannabis copium, nolog dist(w) cl(ccode) time


* MODEL 3: CONFLICT LEVEL, use conflict-specific dummies + conflict-capital distance
streg lnlandar lnpop terr intens_1 lndistx lnmt_cf lnfrst_cf rainseas_n allgems ///
 coca_n cannabis_n opium_n, nolog dist(w) cl(ccode) time












